%define module	MDV-Packdrakeng
%define name	perl-%{module}
%define version	1.13
%define release 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Simple Archive Extractor/Builder
License:	GPL
Group:		Development/Perl
Source:		%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/MDV-Packdrakeng/
BuildArch:		noarch
BuildRequires:	perl-devel >= 5.8.0

%description
MDV::Packdrakeng is a simple indexed archive builder and extractor
using standard compression methods.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
#PERL5DIR=`pwd`/src/blib/arch TMPDIR=/tmp %make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/MDV/*
%{_mandir}/*/*
